//package cn.wisenergy.chnmuseum.party.web.controller;
//
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import cn.wisenergy.chnmuseum.party.web.controller.base.BaseController;
//import cn.wisenergy.chnmuseum.party.model.TOperationLog;
//import cn.wisenergy.chnmuseum.party.service.TOperationLogService;
//import cn.wisenergy.chnmuseum.party.common.enums.AuditStatusEnum;
//import cn.wisenergy.chnmuseum.party.common.validator.groups.Add;
//import cn.wisenergy.chnmuseum.party.common.validator.groups.Update;
//import cn.wisenergy.chnmuseum.party.common.vo.GenericPageParam;
//
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import io.swagger.annotations.ApiOperation;
//
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.shiro.authz.annotation.RequiresPermissions;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.stereotype.Controller;
//
//import javax.annotation.Resource;
//import javax.validation.constraints.NotNull;
//import java.util.List;
//import java.util.Map;
//
///**
// * <pre>
// * 运维日志表 前端控制器
// * </pre>
// *
// * @author Danny Lee
// * @since 2021-03-23
// */
//@Slf4j
//@RestController
//@RequestMapping("/tOperationLog")
//@Api(tags = {"运维日志表操作接口"})
//public class TOperationLogController extends BaseController {
//
//    @Resource
//    private TOperationLogService tOperationLogService;
//
//    @PostMapping("/batchSave")
//		@RequiresPermissions("t:operation:log:batch:save")
//		@ApiOperation(value = "批量添加运维日志表", notes = "批量添加运维日志表")
//    public Map<String, Object> batchSaveTOperationLog(@Validated(value = {Add.class}) List<TOperationLog> tOperationLogList) {
//        // 保存业务节点信息
//        boolean result = tOperationLogService.saveBatch(tOperationLogList);
//        // 返回操作结果
//        if (result) {
//            return getSuccessResult();
//        } else {
//            // 保存失败
//            return getFailResult();
//        }
//    }
//
//    @PostMapping("/save")
//		@RequiresPermissions("t:operation:log:save")
//		@ApiOperation(value = "添加运维日志表", notes = "添加运维日志表")
//	public Map<String, Object> saveTOperationLog(@Validated(value = {Add.class}) TOperationLog tOperationLog) {
//        // 保存业务节点信息
//        boolean result = tOperationLogService.save(tOperationLog);
//        // 返回操作结果
//        if (result) {
//            return getSuccessResult();
//        } else {
//            // 保存失败
//            return getFailResult();
//        }
//    }
//
//    @PutMapping("/update")
//		@RequiresPermissions("t:operation:log:update")
//	    @ApiOperation(value = "修改运维日志表信息", notes = "修改运维日志表信息")
//    public Map<String, Object> updateTOperationLog(@Validated(value = {Update.class}) TOperationLog tOperationLog) {
//            boolean flag = tOperationLogService.updateById(tOperationLog);
//            if (flag) {
//            return getSuccessResult();
//        }
//        return getFailResult();
//    }
//
//	@PutMapping("/updateAuditStatus/{id}")
//	@RequiresPermissions("t:operation:log:update:audit:status")
//	@ApiOperation(value = "更新运维日志表审核状态", notes = "更新运维日志表审核状态")
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "id", value = "标识ID", dataType = "String", paramType = "path"),
//			@ApiImplicitParam(name = "status", value = "状态", paramType = "query", dataType = "String")
//	})
//	public Map<String, Object> updateStatus(@NotNull(message = "运维日志表ID不能为空") @PathVariable("id") String id, @RequestParam("status") AuditStatusEnum status) {
//		UpdateWrapper<TOperationLog> updateWrapper = new UpdateWrapper<>();
//		updateWrapper.eq("id", id);
//		updateWrapper.eq("audit_status", status.name());
//		boolean flag = tOperationLogService.update(updateWrapper);
//		if (flag) {
//		return getSuccessResult();
//		}
//		return getFailResult();
//    }
//
//    @DeleteMapping("/delete/{id}")
//		@RequiresPermissions("t:operation:log:delete")
//		@ApiOperation(value = "根据ID删除运维日志表", notes = "根据ID删除运维日志表")
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "id", value = "标识ID", paramType = "path", dataType = "String")
//	})
//    public Map<String, Object> deleteTOperationLog(@PathVariable("id") String id) {
//        boolean result = tOperationLogService.removeById(id);
//        if (result) {
//            return getSuccessResult();
//        }
//        return getFailResult();
//    }
//
//    @GetMapping("/getList")
//		@RequiresPermissions("t:operation:log:list")
//		@ApiOperation(value = "获取运维日志表全部列表(无分页)", notes = "获取运维日志表全部列表(无分页)")
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "auditStatus", value = "审核状态", paramType = "query", dataType = "String")
//	})
//    public Map<String, Object> getTOperationLogList(@RequestParam(value = "auditStatus", defaultValue = "APPROVED_FINAL", required = false) AuditStatusEnum auditStatus) {
//        List<TOperationLog> tOperationLogList = tOperationLogService.list();
//        return getResult(tOperationLogList);
//    }
//
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "_index", value = "分页起始偏移量", paramType = "query", dataType = "Integer"),
//			@ApiImplicitParam(name = "_size", value = "返回条数", paramType = "query", dataType = "Integer"),
//			@ApiImplicitParam(name = "nameOrCode", value = "名称或编码", paramType = "query", dataType = "String"),
//			@ApiImplicitParam(name = "startDate", value = "创建时间-开始", paramType = "query", dataType = "String"),
//			@ApiImplicitParam(name = "endDate", value = "创建时间-结束", paramType = "query", dataType = "String")
//	})
//    @PostMapping("/getPageList")
//		@RequiresPermissions("t:operation:log:page")
//		@ApiOperation(value = "获取运维日志表分页列表", notes = "获取运维日志表分页列表")
//    public Map<String, Object> getTOperationLogPageList(GenericPageParam genericPageParam) {
//		LambdaQueryWrapper<TOperationLog> queryWrapper = new LambdaQueryWrapper<>();
//		// 对名称或编码模糊查询
//		if (StringUtils.isNotBlank(genericPageParam.getNameOrCode())) {
//			queryWrapper.like(TOperationLog::getUserId, genericPageParam.getNameOrCode());
//		}
//		// 根据创建时间区间检索
//		if (genericPageParam.getStartDate() != null && genericPageParam.getEndDate() != null) {
//			queryWrapper.ge(TOperationLog::getCreateTime, genericPageParam.getStartDate().atTime(0, 0, 0))
//				.le(TOperationLog::getCreateTime, genericPageParam.getEndDate().atTime(23, 59, 59));
//		}
//		// 设置排序规则
//		queryWrapper.orderByDesc(TOperationLog::getCreateTime);
//		Page<TOperationLog> page = this.tOperationLogService.page(getPage(), queryWrapper);
//		for (TOperationLog tOperationLog : page.getRecords()) {
//
//		}
//		return getResult(page);
//    }
//
//    @ApiOperation(value = "获取运维日志表详情", notes = "获取运维日志表详情")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "标识ID", dataType = "String", paramType = "path")
//    })
//    @GetMapping("/get/{id}")
//		@RequiresPermissions("t:operation:log:get:id")
//	    public Map<String, Object> getById(@PathVariable("id") String id) {
//        TOperationLog tOperationLog = tOperationLogService.getById(id);
//		return getResult(tOperationLog);
//    }
//
//}
//
